using System;

namespace InABox.Logikal
{
    public class LogikalBOMRequest : LogikalRequest
    {
        public override LogikalMethod Method() => LogikalMethod.BOM;
        
        public Guid ProjectID { get; private set; }
               
        public Guid ElevationID { get; private set; }

        public string ProfileQuery { get; private set; }

        public string ComponentQuery { get; private set; }
        
        public string GlassQuery { get; private set; }
        
        public string LabourQuery { get; private set; }

        public bool IncludeExcelData { get; private set; }

        public LogikalBOMRequest(Guid projectid, Guid elevationid, string profileQuery, string componentQuery, string glassQuery, string labourQuery, bool includeExcelData)
        {
            ProjectID = projectid;
            ElevationID = elevationid;
            ProfileQuery = profileQuery;
            ComponentQuery = componentQuery;
            GlassQuery = glassQuery;
            LabourQuery = labourQuery;
            IncludeExcelData = includeExcelData;
        }
        
    }
}